# Class SimpleModuleResolver

#### Hierarchy

- SimpleModuleResolver

#### Implements

- ModuleRepository

- Defined in modules/packages/module/packages/abstract/dist/types/Resolver/SimpleModuleResolver.d.ts:3

#####
Index

### Constructors

constructor

### Properties

addSingleModule
addressToName
modules
removeSingleModule
resolveByAddress
resolveByName
resolveByQuery

### Accessors

isModuleResolver

### Methods

add
addResolver
remove
removeResolver
resolve
resolveOne

## Constructors

### constructor

- new SimpleModuleResolver(): SimpleModuleResolver

- #### Returns SimpleModuleResolver

## Properties

### `Private` addSingleModule

addSingleModule: any

- Defined in modules/packages/module/packages/abstract/dist/types/Resolver/SimpleModuleResolver.d.ts:14

### `Private` addressToName

addressToName: any

- Defined in modules/packages/module/packages/abstract/dist/types/Resolver/SimpleModuleResolver.d.ts:4

### `Private` modules

modules: any

- Defined in modules/packages/module/packages/abstract/dist/types/Resolver/SimpleModuleResolver.d.ts:5

### `Private` removeSingleModule

removeSingleModule: any

- Defined in modules/packages/module/packages/abstract/dist/types/Resolver/SimpleModuleResolver.d.ts:15

### `Private` resolveByAddress

resolveByAddress: any

- Defined in modules/packages/module/packages/abstract/dist/types/Resolver/SimpleModuleResolver.d.ts:16

### `Private` resolveByName

resolveByName: any

- Defined in modules/packages/module/packages/abstract/dist/types/Resolver/SimpleModuleResolver.d.ts:17

### `Private` resolveByQuery

resolveByQuery: any

- Defined in modules/packages/module/packages/abstract/dist/types/Resolver/SimpleModuleResolver.d.ts:18

## Accessors

### isModuleResolver

- get isModuleResolver(): boolean

- #### Returns boolean

  Implementation of ModuleRepository.isModuleResolver

  - Defined in modules/packages/module/packages/abstract/dist/types/Resolver/SimpleModuleResolver.d.ts:6

## Methods

### add

- add(module): SimpleModuleResolver

- #### Parameters

  - ##### module: Module<ModuleParams<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: string;
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<Omit<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: "network.xyo.module.config";
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<undefined, "schema">, "schema"> & {
    schema: string;
    }, "schema">, undefined>, ModuleEventData>

  #### Returns SimpleModuleResolver

  Implementation of ModuleRepository.add

  - Defined in modules/packages/module/packages/abstract/dist/types/Resolver/SimpleModuleResolver.d.ts:7
- add(module): SimpleModuleResolver

- #### Parameters

  - ##### module: Module<ModuleParams<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: string;
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<Omit<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: "network.xyo.module.config";
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<undefined, "schema">, "schema"> & {
    schema: string;
    }, "schema">, undefined>, ModuleEventData>[]

  #### Returns SimpleModuleResolver

  Implementation of ModuleRepository.add

  - Defined in modules/packages/module/packages/abstract/dist/types/Resolver/SimpleModuleResolver.d.ts:8

### addResolver

- addResolver(_resolver): SimpleModuleResolver

- #### Parameters

  - ##### _resolver: ModuleResolver

  #### Returns SimpleModuleResolver

  Implementation of ModuleRepository.addResolver

  - Defined in modules/packages/module/packages/abstract/dist/types/Resolver/SimpleModuleResolver.d.ts:9

### remove

- remove(address): SimpleModuleResolver

- #### Parameters

  - ##### address: string | string[]

  #### Returns SimpleModuleResolver

  Implementation of ModuleRepository.remove

  - Defined in modules/packages/module/packages/abstract/dist/types/Resolver/SimpleModuleResolver.d.ts:10

### removeResolver

- removeResolver(_resolver): SimpleModuleResolver

- #### Parameters

  - ##### _resolver: ModuleResolver

  #### Returns SimpleModuleResolver

  Implementation of ModuleRepository.removeResolver

  - Defined in modules/packages/module/packages/abstract/dist/types/Resolver/SimpleModuleResolver.d.ts:11

### resolve

- resolve<T>(filter?): Promisable<T[], never>

- Resolves all modules matching the supplied filter. If no filter is supplied, all modules are returned

  #### Type Parameters

  - #### T extends ModuleFields<ModuleParams<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: string;
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<Omit<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: "network.xyo.module.config";
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<undefined, "schema">, "schema"> & {
    schema: string;
    }, "schema">, undefined>> & EventFunctions<ModuleEventData, T> = Module<ModuleParams<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: string;
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<Omit<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: "network.xyo.module.config";
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<undefined, "schema">, "schema"> & {
    schema: string;
    }, "schema">, undefined>, ModuleEventData>

  #### Parameters

  - ##### `Optional` filter: ModuleFilter

    Filter criteria for the desired modules

  #### Returns Promisable<T[], never>

  Implementation of ModuleRepository.resolve

  - Defined in modules/packages/module/packages/abstract/dist/types/Resolver/SimpleModuleResolver.d.ts:12

### resolveOne

- resolveOne<T>(filter): Promisable<undefined | T, never>

- Resolves a single module, or undefined if no modules matched the filter.

  #### Type Parameters

  - #### T extends ModuleFields<ModuleParams<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: string;
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<Omit<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: "network.xyo.module.config";
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<undefined, "schema">, "schema"> & {
    schema: string;
    }, "schema">, undefined>> & EventFunctions<ModuleEventData, T> = Module<ModuleParams<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: string;
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<Omit<SchemaFields & PayloadFields & {
    archivist?: ArchivistModuleConfig;
    name?: string;
    paging?: Record<string, {
    size?: number;
    }>;
    schema: "network.xyo.module.config";
    security?: {
    allowAnonymous?: boolean;
    allowed?: Record<string, (string | CosigningAddressSet)[]>;
    disallowed?: Record<string, string[]>;
    };
    storeQueries?: boolean;
    } & Omit<undefined, "schema">, "schema"> & {
    schema: string;
    }, "schema">, undefined>, ModuleEventData>

  #### Parameters

  - ##### filter: string

    The desired Module's Address or Name

  #### Returns Promisable<undefined | T, never>

  Implementation of ModuleRepository.resolveOne

  - Defined in modules/packages/module/packages/abstract/dist/types/Resolver/SimpleModuleResolver.d.ts:13

Generated using TypeDoc